Bric::Util::Grp::Event(3p)

NAME
Bric::Util::Grp::Event - Interface to Bric::Util::Event Groups

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $

SYNOPSIS
See Bric::Util::EventType.

DESCRIPTION
See Bric::Util::EventType.

Note: This class appears not to be used at this point. Bric::Util::Event doesn't use it and there's no event_member table.

INTERFACE

  Constructors
Inherited from Bric::Util::Grp.

  Destructors

$attr->DESTROY
    Dummy method to prevent wasting time trying to AUTOLOAD DESTROY.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

  Public Class Methods

$supported_classes = Bric::Util::Grp->get_supported_classes()
    This will return an anonymous hash of the supported classes in the group as keys with the short name as a value. The short name is used to construct the member table names and the foreign key in the table.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my @list_classes = Bric::Util::Grp::Event->get_list_classes
    Returns a list or anonymous array of the supported classes in the group that can have their "list()" methods called in succession to assemble a list of member objects. This data varies from that stored in the keys in the hash reference returned by "get_supported_classes" in that some classes' "list()" methods may inherit from others, and we don't want the same "list()" method executed more than once.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$class_id = Bric::Util::Grp::Event->get_object_class_id
    Forces all Objects to be considered as this class.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

$class_id = Bric::Util::Grp::Event->get_class_id()
    This will return the class ID that this group is associated with.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my $secret = Bric::Util::Grp::Event->get_secret()
    Returns true, because this is a secret type of group used only by developers.

    Throws: NONE.

    Side Effects: NONE.

    Notes: NONE.

my $class = Bric::Util::Grp::Event->my_class()
    Returns a Bric::Util::Class object describing this class.

    Throws: NONE.

    Side Effects: NONE.

    Notes: Uses Bric::Util::Class->lookup() internally.

my $class = Bric::Util::Grp::Event->member_class()
    Returns a Bric::Util::Class object describing the members of this group.

    Throws: NONE.

    Side Effects: NONE.

    Notes: Uses Bric::Util::Class->lookup() internally.

  Public Instance Methods
NONE.

PRIVATE

  Private Constructors
NONE.

  Private Class Methods
NONE.

  Private Instance Methods
NONE.

  Private Functions
NONE.

NOTES
NONE.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric, Bric::Util::EventType, Bric::Util::Event, Bric::Util::Grp